-- All decks should follow this format
-- define suits
Decks["Standard"]={};
Decks["Standard"].UseSuitIcons=true;
Decks["Standard"].UseNumbers=true;
Decks["Standard"].Suits={"Man","Dwarf","Elf","Hobbit","The Ring"};

-- define the suit icons and card backs
Decks["Standard"]["Man"]={"GaranStuff/Cards/RingDecks/Standard/ManIcon.tga","GaranStuff/Cards/RingDecks/Standard/ManBack.jpg"}
Decks["Standard"]["Dwarf"]={"GaranStuff/Cards/RingDecks/Standard/DwarfIcon.tga","GaranStuff/Cards/RingDecks/Standard/DwarfBack.jpg"}
Decks["Standard"]["Elf"]={"GaranStuff/Cards/RingDecks/Standard/ElfIcon.tga","GaranStuff/Cards/RingDecks/Standard/ElfBack.jpg"}
Decks["Standard"]["Hobbit"]={"GaranStuff/Cards/RingDecks/Standard/HobbitIcon.tga","GaranStuff/Cards/RingDecks/Standard/HobbitBack.jpg"}
Decks["Standard"]["The Ring"]={"GaranStuff/Cards/RingDecks/Standard/RingIcon.tga","GaranStuff/Cards/RingDecks/Standard/RingBack.jpg"}

-- define images for cards
Decks["Standard"].Background="GaranStuff/Cards/RingDecks/Standard/Background.jpg"

Decks["Standard"].Cards={{},{},{},{},{}};
Decks["Standard"].Cards[1][1]="GaranStuff/Cards/RingDecks/Standard/Boromir.jpg"
Decks["Standard"].Cards[1][2]="GaranStuff/Cards/RingDecks/Standard/Barliman.jpg"
Decks["Standard"].Cards[1][3]="GaranStuff/Cards/RingDecks/Standard/Saerdan.jpg"
Decks["Standard"].Cards[1][4]="GaranStuff/Cards/RingDecks/Standard/Golodir.jpg"
Decks["Standard"].Cards[1][5]="GaranStuff/Cards/RingDecks/Standard/Lorniel.jpg"
Decks["Standard"].Cards[1][6]="GaranStuff/Cards/RingDecks/Standard/Calenglad.jpg"
Decks["Standard"].Cards[1][7]="GaranStuff/Cards/RingDecks/Standard/Halbarad.jpg"
Decks["Standard"].Cards[1][8]="GaranStuff/Cards/RingDecks/Standard/Corunir.jpg"
Decks["Standard"].Cards[1][9]="GaranStuff/Cards/RingDecks/Standard/Brackenbrook.jpg"

Decks["Standard"].Cards[2][1]="GaranStuff/Cards/RingDecks/Standard/Dwalin.jpg"
Decks["Standard"].Cards[2][2]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"
Decks["Standard"].Cards[2][3]="GaranStuff/Cards/RingDecks/Standard/Bori.jpg"
Decks["Standard"].Cards[2][4]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"
Decks["Standard"].Cards[2][5]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"
Decks["Standard"].Cards[2][6]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"
Decks["Standard"].Cards[2][7]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"
Decks["Standard"].Cards[2][8]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"
Decks["Standard"].Cards[2][9]="GaranStuff/Cards/RingDecks/Standard/Gimli.jpg"

Decks["Standard"].Cards[3][1]="GaranStuff/Cards/RingDecks/Standard/Elrond.jpg"
Decks["Standard"].Cards[3][2]="GaranStuff/Cards/RingDecks/Standard/Galadriel.jpg"
Decks["Standard"].Cards[3][3]="GaranStuff/Cards/RingDecks/Standard/Celeborn.jpg"
Decks["Standard"].Cards[3][4]="GaranStuff/Cards/RingDecks/Standard/Arwen.jpg"
Decks["Standard"].Cards[3][5]="GaranStuff/Cards/RingDecks/Standard/Legolas.jpg"
Decks["Standard"].Cards[3][6]="GaranStuff/Cards/RingDecks/Standard/Elladan.jpg"
Decks["Standard"].Cards[3][7]="GaranStuff/Cards/RingDecks/Standard/Elrohir.jpg"
Decks["Standard"].Cards[3][8]="GaranStuff/Cards/RingDecks/Standard/Glorfindel.jpg"
Decks["Standard"].Cards[3][9]="GaranStuff/Cards/RingDecks/Standard/Fuirgam.jpg"

Decks["Standard"].Cards[4][1]="GaranStuff/Cards/RingDecks/Standard/Frodo.jpg"
Decks["Standard"].Cards[4][2]="GaranStuff/Cards/RingDecks/Standard/Bilbo.jpg"
Decks["Standard"].Cards[4][3]="GaranStuff/Cards/RingDecks/Standard/Samwise.jpg"
Decks["Standard"].Cards[4][4]="GaranStuff/Cards/RingDecks/Standard/Meriadoc.jpg"
Decks["Standard"].Cards[4][5]="GaranStuff/Cards/RingDecks/Standard/Pippin.jpg"
Decks["Standard"].Cards[4][6]="GaranStuff/Cards/RingDecks/Standard/Proudfoot.jpg"
Decks["Standard"].Cards[4][7]="GaranStuff/Cards/RingDecks/Standard/MayorWhitfoot.jpg"
Decks["Standard"].Cards[4][8]="GaranStuff/Cards/RingDecks/Standard/HollyHornblower.jpg"
Decks["Standard"].Cards[4][9]="GaranStuff/Cards/RingDecks/Standard/ShirriffBunce.jpg"

Decks["Standard"].Cards[5][1]="GaranStuff/Cards/RingDecks/Standard/Gandalf.jpg"
Decks["Standard"].Cards[5][2]="GaranStuff/Cards/RingDecks/Standard/Aragorn.jpg"
Decks["Standard"].Cards[5][3]="GaranStuff/Cards/RingDecks/Standard/Radagast.jpg"
Decks["Standard"].Cards[5][4]="GaranStuff/Cards/RingDecks/Standard/Bombadil.jpg"
Decks["Standard"].Cards[5][5]="GaranStuff/Cards/RingDecks/Standard/Goldberry.jpg"
Decks["Standard"].Cards[5][6]="GaranStuff/Cards/RingDecks/Standard/Gwindeth.jpg"
Decks["Standard"].Cards[5][7]="GaranStuff/Cards/RingDecks/Standard/TheHuntsman.jpg"
Decks["Standard"].Cards[5][8]="GaranStuff/Cards/RingDecks/Standard/BillThePony.jpg"
Decks["Standard"].Cards[5][9]="GaranStuff/Cards/RingDecks/Standard/Bombadil.jpg"
